# Created by pyp2rpm-3.3.4
%global pypi_name rebookmaker

Name:           python-%{pypi_name}
Version:        0.8.1
Release:        %mkrel 1
Summary:        EPUB generator
Group:          Development/Python
License:        BSD
URL:            https://github.com/shlomif/rebookmaker
Source0:        https://files.pythonhosted.org/packages/source/r/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(beautifulsoup4)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

%description
An open source (MIT-licensed) re-implementation of Marcelo
Lira’s ( @setanta ) ebookmaker.

EPUB is a popular and open file format standard for electronic books (see
https://en.wikipedia.org/wiki/EPUB for more information about it). What
rebookmaker (= “re-ebook-maker”) does is compile a definition of the book
inside a JSON file along with some input HTML and image files into an
.epub.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
An open source (MIT-licensed) re-implementation of Marcelo
Lira’s ( @setanta ) ebookmaker.

EPUB is a popular and open file format standard for electronic books (see
https://en.wikipedia.org/wiki/EPUB for more information about it). What
rebookmaker (= “re-ebook-maker”) does is compile a definition of the book
inside a JSON file along with some input HTML and image files into an
.epub.

%package -n python-%{pypi_name}-doc
Summary:        rebookmaker documentation
%description -n python-%{pypi_name}-doc
Documentation for rebookmaker

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE docs/LICENSE.rst
%doc README.rst docs/README.rst
%{_bindir}/rebookmaker
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%files -n python-%{pypi_name}-doc
%doc html
%license LICENSE docs/LICENSE.rst


%changelog
* Thu Oct 08 2020 shlomif <shlomif> 0.8.1-1.mga8
+ Revision: 1632666
- add BRs
- fix desc's readability
- pyp2rpm

